geos::geom::prep::PreparedGeometryFactory Class Reference

A factory for creating `PreparedGeometry`s. More...

`#include <PreparedGeometryFactory.h>`

## Public Member Functions

std::unique_ptr< PreparedGeometry > | create (const geom::Geometry *geom) const

## Static Public Member Functions

static std::unique_ptr< PreparedGeometry > | prepare (const geom::Geometry *geom)
static void | destroy (const PreparedGeometry *geom)

## Detailed Description

A factory for creating `PreparedGeometry`s.

It chooses an appropriate implementation of PreparedGeometry based on the geoemtric type of the input geometry. In the future, the factory may accept hints that indicate special optimizations which can be performed.

Author
  Martin Davis

## Member Function Documentation

## create()

std::unique_ptr< PreparedGeometry > geos::geom::prep::PreparedGeometryFactory::create | ( | const geom::Geometry * | geom | ) | const

Creates a new `PreparedGeometry` appropriate for the argument `Geometry`.

Parameters

  geom | the geometry to prepare

Returns
  the prepared geometry

Referenced by prepare().

## destroy()

void geos::geom::prep::PreparedGeometryFactory::destroy | ( | const PreparedGeometry * | geom | ) |

inline static

Destroys `PreparedGeometry` allocated with the factory.

Parameters

  geom | to be deallocated

## prepare()

std::unique_ptr< PreparedGeometry > geos::geom::prep::PreparedGeometryFactory::prepare | ( | const geom::Geometry * | geom | ) |

inline static

Creates a new `PreparedGeometry` appropriate for the argument `Geometry`.

Parameters

  geom | the geometry to prepare

Returns
  the prepared geometry

References create().

Referenced by geos::operation::cluster::GeometryDistanceClusterFinder::shouldJoin(), and geos::operation::cluster::GeometryIntersectsClusterFinder::shouldJoin().

The documentation for this class was generated from the following file:

- PreparedGeometryFactory.h